Package org.freeplane.api

# Interface FontRO

All Known Subinterfaces:
  `Font`, `Proxy.Font`, `Proxy.FontRO`

public interface FontRO
Node's font: `node.style.font` - read-only.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`int`
`getSize()`
`boolean`
`isBold()`
`boolean`
`isBoldSet()`
`boolean`
`isItalic()`
`boolean`
`isItalicSet()`
`boolean`
`isNameSet()`
`boolean`
`isSizeSet()`
`boolean`
`isStrikedThrough()`
Deprecated.
`boolean`
`isStrikedThroughSet()`
Deprecated.
`boolean`
`isStrikethrough()`
`boolean`
`isStrikethroughSet()`
`boolean`
`isUnderline()`
`boolean`
`isUnderlineSet()`

## Method Details

### getName

String getName()

### getSize

int getSize()

### isBold

boolean isBold()

### isBoldSet

boolean isBoldSet()

### isItalic

boolean isItalic()

### isItalicSet

boolean isItalicSet()

### isUnderline

boolean isUnderline()

### isUnderlineSet

boolean isUnderlineSet()

### isStrikedThrough

@Deprecated boolean isStrikedThrough()
Deprecated.

### isStrikethrough

boolean isStrikethrough()

### isStrikedThroughSet

@Deprecated boolean isStrikedThroughSet()
Deprecated.

### isStrikethroughSet

boolean isStrikethroughSet()

### isNameSet

boolean isNameSet()

### isSizeSet

boolean isSizeSet()